This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1271795 - Review Request: nodejs-css-select - A CSS selector compiler/engine
Review Request: nodejs-css-select - A CSS selector compiler/engine
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Parag AN(पराग)
Fedora Extras Quality Assurance
:
Depends On: 1169124 1271802 1271817 1271829
Blocks: nodejs-reviews Node-RED
  Show dependency treegraph
 
Reported: 2015-10-14 14:22 EDT by Jared Smith
Modified: 2016-10-21 04:13 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-06-03 16:17:23 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
panemade: fedora‑review+


Attachments (Terms of Use)

  None (edit)
Description Jared Smith 2015-10-14 14:22:06 EDT
Spec URL: https://jsmith.fedorapeople.org/Packaging/nodejs-css-select/nodejs-css-select.spec
SRPM URL: https://jsmith.fedorapeople.org/Packaging/nodejs-css-select/nodejs-css-select-1.1.0-1.fc23.src.rpm
Description: A CSS selector compiler/engine
Fedora Account System Username: jsmith
Comment 1 Parag AN(पराग) 2015-12-10 11:40:33 EST
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


Issues:
=======
- Package installs properly.
  Note: Installation errors (see attachment)
  See: https://fedoraproject.org/wiki/Packaging:Guidelines


===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "Unknown or generated". 10 files have unknown license. Detailed
     output of licensecheck in /home/parag/Downloads/1271795-nodejs-css-
     select/licensecheck.txt
[-]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[-]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[-]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 1 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[?]: Package functions as described.
[x]: Latest version is packaged.
[-]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX is a working URL.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[!]: Rpmlint is run on all installed packages.
     Note: Mock build failed
     See: http://fedoraproject.org/wiki/Packaging/Guidelines#rpmlint
[!]: Spec file according to URL is the same as in SRPM.
     Note: Spec file as given by url is not the same as in SRPM (see
     attached diff).
     See: (this test has no URL)


Installation errors
-------------------
INFO: mock.py version 1.2.14 starting (python version = 3.4.3)...
Start: init plugins
INFO: selinux enabled
Finish: init plugins
Start: run
Start: chroot init
INFO: calling preinit hooks
INFO: enabled root cache
INFO: enabled dnf cache
Start: cleaning dnf metadata
Finish: cleaning dnf metadata
INFO: enabled ccache
Mock Version: 1.2.14
INFO: Mock Version: 1.2.14
Finish: chroot init
INFO: installing package(s): /home/parag/Downloads/1271795-nodejs-css-select/results/nodejs-css-select-1.1.0-1.fc24.noarch.rpm
ERROR: Command failed. See logs for output.
 # /usr/bin/dnf --installroot /var/lib/mock/fedora-rawhide-x86_64/root/ --releasever 24 --setopt=deltarpm=false install /home/parag/Downloads/1271795-nodejs-css-select/results/nodejs-css-select-1.1.0-1.fc24.noarch.rpm --setopt=tsflags=nocontexts


Rpmlint
-------
Checking: nodejs-css-select-1.1.0-1.fc24.noarch.rpm
          nodejs-css-select-1.1.0-1.fc24.src.rpm
nodejs-css-select.noarch: W: only-non-binary-in-usr-lib
nodejs-css-select.noarch: W: dangling-symlink /usr/lib/node_modules/css-select/node_modules/boolbase /usr/lib/node_modules/boolbase
nodejs-css-select.noarch: W: dangling-symlink /usr/lib/node_modules/css-select/node_modules/css-what /usr/lib/node_modules/css-what
nodejs-css-select.noarch: W: dangling-symlink /usr/lib/node_modules/css-select/node_modules/nth-check /usr/lib/node_modules/nth-check
nodejs-css-select.noarch: W: dangling-symlink /usr/lib/node_modules/css-select/node_modules/domutils /usr/lib/node_modules/domutils
2 packages and 0 specfiles checked; 0 errors, 5 warnings.




Diff spec file in url and in SRPM
---------------------------------
--- /home/parag/Downloads/1271795-nodejs-css-select/srpm/nodejs-css-select.spec	2015-12-10 10:17:35.698268327 +0530
+++ /home/parag/Downloads/1271795-nodejs-css-select/srpm-unpacked/nodejs-css-select.spec	2015-10-14 23:48:49.000000000 +0530
@@ -5,5 +5,5 @@
 Name:		nodejs-css-select
 Version:	1.1.0
-Release:	3%{?dist}
+Release:	1%{?dist}
 Summary:	A CSS selector compiler/engine
 
@@ -29,5 +29,4 @@
 %prep
 %setup -q -n package
-%nodejs_fixdep domutils '<=1.5.1'
 
 
@@ -58,7 +57,4 @@
 
 %changelog
-* Wed Oct 14 2015 Jared Smith <jsmith@fedoraproject.org> - 1.1.0-3
-- Fix up nodejs required versions of domutils
-
 * Wed Oct 14 2015 Jared Smith <jsmith@fedoraproject.org> - 1.1.0-1
 - Initial packaging


Requires
--------
nodejs-css-select (rpmlib, GLIBC filtered):
    nodejs
    nodejs(engine)
    npm(boolbase)
    npm(css-what)
    npm(domutils)
    npm(nth-check)



Provides
--------
nodejs-css-select:
    nodejs-css-select
    npm(css-select)



Source checksums
----------------
https://registry.npmjs.org/css-select/-/css-select-1.1.0.tgz :
  CHECKSUM(SHA256) this package     : d5a9b6eb598683a38206770429ce1267d8be735538bc355af412334cb0e6099a
  CHECKSUM(SHA256) upstream package : d5a9b6eb598683a38206770429ce1267d8be735538bc355af412334cb0e6099a



Can you please post the updated spec and srpm links? I see that fixdep is required for npm(domutils)
Comment 3 Parag AN(पराग) 2015-12-17 06:06:42 EST
Looks good now.

APPROVED.
Comment 4 Gwyn Ciesla 2015-12-17 08:55:03 EST
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/nodejs-css-select
Comment 5 Parag AN(पराग) 2016-05-30 03:27:23 EDT
If this package is built for requested branches, then please close this review.

Note You need to log in before you can comment on or make changes to this bug.